Package htsjdk.samtools.util

# Interface Lazy.LazyInitializer<T>

All Superinterfaces:
  `Supplier<T>`

Enclosing class:
  `Lazy<T>`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface @Deprecated public static interface Lazy.LazyInitializer<T> extends Supplier<T>
Deprecated.
since 1/2017 use a `Supplier` instead
Describes how to build the instance of the lazy object.

## Method Summary

Modifier and Type
Method
Description
`default T`
`get()`
Deprecated.
`T`
`make()`
Deprecated.
Returns the desired object instance.

## Method Details

### make

T make()
Deprecated.
Returns the desired object instance.

### get

default T get()
Deprecated.

Specified by:
  `get` in interface `Supplier<T>`